commit:     86ba6072b5ec52c92b3bb1bbb96d3b22b8671ca0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 10 06:54:10 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov 10 07:02:01 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=86ba6072

dev-ruby/actionview: add rails 6.0.1

Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/actionview/Manifest                |  1 +
 dev-ruby/actionview/actionview-6.0.1.ebuild | 56 +++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-ruby/actionview/Manifest b/dev-ruby/actionview/Manifest
index e3b53c8c815..d8b1b027e0a 100644
--- a/dev-ruby/actionview/Manifest
+++ b/dev-ruby/actionview/Manifest
@@ -2,3 +2,4 @@ DIST rails-4.2.11.1.tgz 4081006 BLAKE2B 
7db84961963f529a9b6c06011bb6e32b56f4beb0
 DIST rails-5.1.7.tgz 6146668 BLAKE2B 
494a12d79037010333c06d14573474f0d0c1e62ce5252e8fbe4eb4c6935dc660614c2ff29fd168bbc66d74bfa64b92abb84d02645cb3b2950db5c166111b7b19
 SHA512 
6595eb19f174c9e46a937d6028d9bb2bfdcda06f35ec2a0499bc5deff05d8cfc8f8fc725e664496d3b431c8724141a1410201b57945b98ca211aea15c990d621
 DIST rails-5.2.3.tgz 8802794 BLAKE2B 
786f94bcd9528ffc664c39caef0e7d2d3c15da95497044504082999a435c2a877d73d40b68b5237dc07ae6cf9b8f6f99f12ae68527c5f4005b1a648038e507c0
 SHA512 
6a41f7564679263b4a16a245d13271b12e97a55cdd77b5ebe63bd86c3a80e4f447b4c0567a4a40ed8e97a2307522f6dad368b1beeb362136bdf1856f6dffeb60
 DIST rails-6.0.0.tgz 18543484 BLAKE2B 
614e71481a3a5ece629f49d0ef623b5352e165b5d46a736ccb747614d6c1fd56d4aaba2f2f32d48d81772cfd4db671d94a67cd3ffa395f29bf2de1f148fa57ed
 SHA512 
3a2259fe2b3ffd0ddc9128e1aa58af57006b8410120a3629926b95fbe60b8658edab77929e26d9323c61a1855a4379e73f1ddbe875324b068a9e8bdde6ca55e6
+DIST rails-6.0.1.tgz 18551750 BLAKE2B 
03349639ae114b82573e5e4063600b07b24274a0f5a81021bf347c650214e0f59fbb1676b9ad580de5a2d6e4dc85cc2702511c32d11a088ef663f26d8d55041e
 SHA512 
ad6667a958663a8d260896c6b7fd589b657383f0d4f217c9bc0e993d6eac67c32fa41d54a9edf9b1f4e01ae78826f49a862b0069d59b3c1de2b950522b3ecf10

diff --git a/dev-ruby/actionview/actionview-6.0.1.ebuild 
b/dev-ruby/actionview/actionview-6.0.1.ebuild
new file mode 100644
index 00000000000..74425192233
--- /dev/null
+++ b/dev-ruby/actionview/actionview-6.0.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_DOCDIR="doc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="Simple, battle-tested conventions and helpers for building web 
pages"
+HOMEPAGE="https://github.com/rails/rails/";
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> 
rails-${PV}.tgz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+RUBY_S="rails-${PV}/${PN}"
+
+ruby_add_rdepend "
+       ~dev-ruby/activesupport-${PV}
+       >=dev-ruby/builder-3.1:* =dev-ruby/builder-3*:*
+       >=dev-ruby/erubi-1.4:0
+       >=dev-ruby/rails-html-sanitizer-1.2.0:1
+       dev-ruby/rails-dom-testing:2
+"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/mocha
+               ~dev-ruby/actionpack-${PV}
+               ~dev-ruby/activemodel-${PV}
+               ~dev-ruby/activerecord-${PV}
+       )"
+
+all_ruby_prepare() {
+       # Remove items from the common Gemfile that we don't need for this
+       # test run. This also requires handling some gemspecs.
+       sed -i -e 
"/\(system_timer\|sdoc\|w3c_validators\|pg\|execjs\|jquery-rails\|'mysql'\|journey\|rack-cache\|ruby-prof\|stackprof\|benchmark-ips\|kindlerb\|turbolinks\|coffee-rails\|debugger\|redcarpet\|bcrypt\|uglifier\|mime-types\|minitest\|sprockets\|stackprof\)/
 s:^:#:" \
+               -e '/:job/,/end/ s:^:#:' \
+               -e '/group :doc/,/^end/ s:^:#:' ../Gemfile || die
+       rm ../Gemfile.lock || die
+
+       # Avoid tests failing due to missing logger setup in activerecord,
+       # most likely related to test environment setup.
+       rm -f 
test/activerecord/render_partial_with_record_identification_test.rb || die
+}

Reply via email to